# Options

Below is an overview of all actions that can be accessed from this menu.

| UI Action Name                                                          | Action Name                | Description                                                                                                                                                                                                                                                                                                                                                                         |
| ----------------------------------------------------------------------- | -------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [General...](/ida-actions/options.md)                                   | `Options`                  | Open the General IDA Options dialog, where settings are organized thematically across multiple tabs.                                                                                                                                                                                                                                                                                |
| [Colors...](/ida-actions/setcolors.md)                                  | `SetColors`                | Setup colors. The IDA Colors dialog lets you change the active theme or fine-tune the one currently in use. Each tab lets you customize specific parts of the UI.                                                                                                                                                                                                                   |
| [Font...](/ida-actions/setfont.md)                                      | `SetFont`                  | Setup font. This dialog allows you to customize the font used in listings.                                                                                                                                                                                                                                                                                                          |
| [Feature Flags...](/ida-actions/showfeatureflags.md)                    | `ShowFeatureFlags`         | Configure feature flags.                                                                                                                                                                                                                                                                                                                                                            |
| [Shortcuts...](/ida-actions/shortcuteditor.md)                          | `ShortcutEditor`           | Edit shortcuts. This dialog allows you to view and customize all keyboard shortcuts used in IDA. You can use <kbd>Ctrl</kbd> + <kbd>F</kbd> to search by command name or keyboard shortcut.                                                                                                                                                                                         |
| [Show command palette...](/ida-actions/commandpalette.md)               | `CommandPalette`           | Show command palette. This command opens a dialog, that provides quick access to all available IDA actions with shortcuts and descriptions.                                                                                                                                                                                                                                         |
| [Repeat last palette command](/ida-actions/repeatlastpalettecommand.md) | `RepeatLastPaletteCommand` | Repeat last palette command                                                                                                                                                                                                                                                                                                                                                         |
| [Disable undo](/ida-actions/undotoggle.md)                              | `UndoToggle`               | Disable undo                                                                                                                                                                                                                                                                                                                                                                        |
| [Reset undo history](/ida-actions/resetundohistory.md)                  | `ResetUndoHistory`         | Reset undo history.                                                                                                                                                                                                                                                                                                                                                                 |
| [Assembler directives...](/ida-actions/setdirectives.md)                | `SetDirectives`            | Setup assembler directive generation.                                                                                                                                                                                                                                                                                                                                               |
| [Name representation...](/ida-actions/setnametype.md)                   | `SetNameType`              | Setup name representation.                                                                                                                                                                                                                                                                                                                                                          |
| [Demangled names...](/ida-actions/setdemanglednames.md)                 | `SetDemangledNames`        | Setup C++ demangled name representation.                                                                                                                                                                                                                                                                                                                                            |
| [Compiler...](/ida-actions/setupcompiler.md)                            | `SetupCompiler`            | Setup target compiler and its parameters. This dialog allows the user to specify the compiler used to create the program along with the memory model, default calling convention, ABI and other parameters. Please note that while some combinations of the parameters are meaningless, IDA doesn't check them for validity. It is up to the user to specify a correct combination. |
| [String literals...](/ida-actions/setstrlitstyle.md)                    | `SetStrlitStyle`           | Setup string literal style.                                                                                                                                                                                                                                                                                                                                                         |
| [Setup data types...](/ida-actions/setupdata.md)                        | `SetupData`                | Setup data types.                                                                                                                                                                                                                                                                                                                                                                   |
| [Source paths...](/ida-actions/setupsrcpaths.md)                        | `SetupSrcPaths`            | Setup source paths.                                                                                                                                                                                                                                                                                                                                                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/core/user-interface/reference/menu-bar-actions/common-actions-5.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
